Skip to main content

What Browsers Does Cornell Secure File Transfer Support?

This article applies to: Cornell Secure File Transfer


All modern, major browsers are supported. For best results, Cornell Secure File Transfer should be used with the most recent versions of Google Chrome, Safari, Mozilla FireFox, or Internet Explorer versions 9+.

Users on Cornell-owned or -supported systems whose browsers are out-of-date should contact their local IT support staff.

Users with personally owned systems may find the following useful:

Keep your browser updated to the most recent version to increase the security of your system and confidential data.

About this Article

Last updated: 

Friday, August 23, 2019 - 9:49am

Was this page helpful?

Your feedback helps improve the site.

Comments?